Subject: Negotiating MRU

From: [email-masked]
Date: Tue, 12 Sep 2000 11:51:23 -0400

(requires fixed font to make sense of below graphic)

|========|  MRU=1024  |=|   |~~~~~~~~~~~|   |=|  MRU=2048  |========|
| -A-    |----------->|L|-->|           |-->|L|----------->| -B-    |
| PoS    |            |E|   | N/W Cloud |   |E|            | PoS    |
| Device |<-----------|R|<--|           |<--|R|<-----------| Device |
|========|  MRU=1024  |=|   |~~~~~~~~~~~|   |=|  MRU=2048  |========|

If Device-A negotiates an MRU of 1024 and Device-B negotiates an MRU of 2048,
what happens to
packets sent from Device-B to Device-A that are larger than 1024 (assuming
non-static LSPs)?

Is the packet discarded? Is the packet fragemented? If it is fragmented, who
does the
fragmenting?

Thanks,
MK

---

From: James Carlson <[email-masked]>
Date: Tue, 12 Sep 2000 12:07:38 -0400 (EDT)

> packets sent from Device-B to Device-A that are larger than 1024 (assuming

I assume by the references to LERs and LSPs that this is actually an
MPLS question, not a PPP question.

> Is the packet discarded? Is the packet fragemented? If it is fragmented, who

MPLS doesn't fragment.  The LSP's MTU is determined by signaling.  See:

http://www.ietf.org/internet-drafts/draft-ietf-mpls-label-encaps-08.txt

and

http://www.ietf.org/internet-drafts/draft-ietf-mpls-rsvp-lsp-tunnel-07.txt

Like any other link-layer, PPP must advertise its constraints (MTU
being one of these) to the network layer.  How this is done is
implementation specific.

-- 
James Carlson                                  <[email-masked]>
"PPP Design and Debugging" --- http://people.ne.mediaone.net/carlson/ppp